File transfer commands
======================

These are the commands to manage storage locking and file uploads and downloads

Locking
-------

.. autoclass:: pyatem.command.LockCommand
   :members:
   :special-members:

.. autoclass:: pyatem.command.PartialLockCommand
   :members:
   :special-members:


Transfer
--------

.. autoclass:: pyatem.command.TransferDownloadRequestCommand
   :members:
   :special-members:

.. autoclass:: pyatem.command.TransferUploadRequestCommand
   :members:
   :special-members:

.. autoclass:: pyatem.command.TransferDataCommand
   :members:
   :special-members:

.. autoclass:: pyatem.command.TransferAckCommand
   :members:
   :special-members:

.. autoclass:: pyatem.command.TransferFileDataCommand
   :members:
   :special-members:
